<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/

include("includes.php");

if((isset($_GET['assetclass_id'])) ? $assetclass_id = sanitize($_GET['assetclass_id']) : $assetclass_id = "");

include("header.php");
		
$query = "SELECT
	assetclass_id,
	assetclass_name
FROM
	assetclass
ORDER BY
	assetclass_name";
		
$assetclasses = $db->db_select($query);
foreach ($assetclasses as $assetclass) {
	$assetclass_options[$assetclass['assetclass_id']] =  $assetclass['assetclass_name'];
}

$smarty->assign("assetclass_options", $assetclass_options);
$smarty->display("assetadd.tpl");

include("footer.php");
?>