<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/

include("includes.php");

$asset_id = sanitize($_GET['asset_id']);

include("header.php");
	
$query = "SELECT
		asset_name
	FROM
		asset
	WHERE
		asset_id=" . $asset_id;

$asset = $db->db_select($query);

$smarty->assign("asset_id", $asset_id);
$smarty->assign("asset_name", $asset[0]['asset_name']);

$query = "SELECT
		node_id,
		node_ip
	FROM
		node
	WHERE
		asset_id=" . $asset_id . "
	ORDER BY
		INET_ATON(node_ip)";

$nodes = $db->db_select($query);
$smarty->assign("nodes", $nodes);

$smarty->display("assetdel.tpl");

include("footer.php");
?>
