<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/
	
include("includes.php");
		
$subnet_id = sanitize($_GET['subnet_id']);
		
include("header.php");
		
	
// subnet
// build query
$query = "SELECT
		subnet_address,
		subnet_mask
	FROM
		subnet
	WHERE
		subnet_id=" . $subnet_id;

// run query
$subnet = $db->db_select($query);

$smarty->assign("subnet_id", $subnet_id);
$smarty->assign("subnet_address", $subnet[0]['subnet_address']);
$smarty->assign("subnet_mask", $subnet[0]['subnet_mask']);

// vlan
$query = " SELECT
		vlan_id,
		vlan_number,
		vlan_name
	FROM
		vlan
	WHERE
		vlan_id NOT IN (
			SELECT
				vlan_id
			FROM
				subnetvlan
			WHERE
				subnet_id=" . $subnet_id . "
		)
	ORDER BY
		vlan_number";
		
$vlans = $db->db_select($query);
foreach ($vlans as $vlan) {
    $vlan_options[$vlan['vlan_id']] =  $vlan['vlan_name'];
}
$smarty->assign("vlan_options", $vlan_options);

$smarty->display("subnetvlanadd.tpl");

include("footer.php");
?>
