<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/

include("includes.php");
		
$vlan_id = sanitize($_GET['vlan_id']);
		
include("header.php");

// vlan
$query = "SELECT
	vlan_name,
	vlan_number,
	vlan_info
FROM
	vlan
WHERE
	vlan_id=" . $vlan_id;

$vlan = $db->db_select($query);
        
$smarty->assign("vlan_id", $vlan_id);
$smarty->assign("vlan_name", $vlan[0]['vlan_name']);
$smarty->assign("vlan_number", $vlan[0]['vlan_number']);
$smarty->assign("vlan_info", nl2br($vlan[0]['vlan_info']));

// subnets
$query = "SELECT
	s.subnet_id,
	s.subnet_address,
	s.subnet_mask,
	s.subnet_info
FROM
	subnet AS s LEFT JOIN subnetvlan AS v USING (subnet_id)
WHERE
	v.vlan_id=" . $vlan_id . "
ORDER BY
	INET_ATON(s.subnet_address)";
		
$subnets = $db->db_select($query);
$smarty->assign("subnets", $subnets);

$smarty->display("vlanview.tpl");

include("footer.php");
?>
