<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/

include("includes.php");

include("header.php");
	
$query = "SELECT
	assetclassgroup_id,
	assetclassgroup_name,
	assetclassgroup_color
FROM
	assetclassgroup
ORDER BY
	assetclassgroup_name";
		
$assetclassgroups = $db->db_select($query);

$smarty->assign("assetclassgroups", $assetclassgroups);
$smarty->display("assetclassgroup.tpl");
		
include("footer.php");
?>