<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/

include("includes.php");

$asset_id = sanitize($_GET['asset_id']);

include("header.php");

$query = "SELECT
		a.asset_name,
		a.asset_hostname,
		a.asset_info,
		c.assetclass_id,
		c.assetclass_name
	FROM
		asset AS a LEFT OUTER JOIN assetclass AS c USING (assetclass_id)
	WHERE
		a.asset_id=" . $asset_id;

$asset = $db->db_select($query);

$smarty->assign("asset_id", $asset_id);
$smarty->assign("asset_name", $asset[0]['asset_name']);
$smarty->assign("asset_hostname", $asset[0]['asset_hostname']);
$smarty->assign("asset_info", nl2br($asset[0]['asset_info']));

$smarty->assign("assetclass_id", $asset[0]['assetclass_id']);
$smarty->assign("assetclass_name", $asset[0]['assetclass_name']);

$query = "SELECT
		node_id,
		node_ip,
		LEFT(node_info, 40) as node_info
	FROM
		node
	WHERE
		asset_id=" . $asset_id . "
	ORDER BY
		INET_ATON(node_ip)";

$nodes = $db->db_select($query);
$smarty->assign("nodes", $nodes);

$smarty->display("assetview.tpl");

include("footer.php");
?>
