<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/
	
include("includes.php");
		
$location_id = sanitize($_GET['location_id']);
		
include("header.php");

// location		
$query = "SELECT
	location_name
FROM
	location
WHERE
	location_id=" . $location_id;
		
$location = $db->db_select($query);
		
$smarty->assign("location_id", $location_id);
$smarty->assign("location_name", $location[0]['location_name']);
	
// subnet
$query = "SELECT
		s.subnet_id,
		s.subnet_address,
		s.subnet_mask
	FROM
		subnetlocation AS l LEFT JOIN subnet AS s USING (subnet_id)
	WHERE
		l.location_id="  . $location_id . "
	ORDER BY
		INET_ATON(s.subnet_address)";

$subnets = $db->db_select($query);
$smarty->assign($subnets);

$smarty->display("locationsubnetdel.tpl");

include("footer.php");
?>
