<?php
/*****************************************************************************
IP Reg, a PHP/MySQL IPAM tool
Copyright (C) 2007-2009 Wietse Warendorff (up to v0.5)
Copyright (C) 2011-2023 Thomas Hooge

SPDX-License-Identifier: GPL-3.0-or-later
*****************************************************************************/

include("includes.php");
		
if((isset($_GET['vlan_id'])) ? $vlan_id = sanitize($_GET['vlan_id']) : $vlan_id = "");
		
include("header.php");

$query = "SELECT
		vlan_id,
		vlan_number,
		vlan_name
	FROM
		vlan
	ORDER BY
		vlan_name";

$vlans = $db->db_select($query);
$vlan_options[0] = $lang['lang_option_none'];
foreach ($vlans as $vlan) {
    $vlan_options[$vlan['vlan_id']] =  $vlan['vlan_name'];
}
$smarty->assign("vlan_options", $vlan_options);

$smarty->display("subnetadd.tpl");

include("footer.php");
?>
