<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>{$lang_ipreg}</title>
<meta name="author" content="Thomas Hooge" />
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<link rel="shortcut icon" href="images/shield.ico">
<link rel="stylesheet" href="tpl/style.css" type="text/css">
{foreach item=style from=$styles}
<link rel="stylesheet" href="css/{$style[0]}" type="text/css" media="{$style[1]}" />
{/foreach}
{foreach item=script from=$scripts}
<script type="text/javascript" src="lib/{$script}"></script>
{/foreach}
</head>

<body>
<form action="search.php" method="post">
<table class="menu">
<tr>
    <td valign="top" rowspan="2">
        <a href="index.php"><img src="image.php?icon=logo" alt="{$lang_ipreg}" style="margin-right:1em" /></a>
    </td>
    <td valign="top" rowspan="2">
        {if $menu_assets}<a href="asset.php">{$lang_assets}</a> | {/if}
        {if $menu_assetclasses}<a href="assetclass.php">{$lang_assetclasses}</a> | {/if}
        {if $menu_assetclassgroups}<a href="assetclassgroup.php">{$lang_assetclassgroups}</a> | {/if}
        {if $menu_locations}<a href="location.php">{$lang_locations}</a> | {/if}
        {if $menu_nodes}<a href="node.php">{$lang_nodes}</a> | {/if}
        {if $menu_subnets}<a href="subnet.php">{$lang_subnets}</a> | {/if}
        {if $menu_vlans}<a href="vlan.php">{$lang_vlans}</a> | {/if}
        {if $menu_zones}<a href="zone.php">{$lang_zones}</a> {/if}
    </td>
    <td align="right" width="38%">
        {$suser_name}&nbsp;|&nbsp;
        <a href="about.php">{$lang_about}</a> |
        <a href="options.php">{$lang_options}</a> |
        <a href="logout.php">{$lang_logout}</a>
    </td>
</tr>
<tr>
    <td align="right">
        <input type="text" name="search" value="{$search}">&nbsp;<input type="image" class="icon" src="image.php?icon=search" alt="{$lang_search}">
    </td>
</tr>
</table>
</form>

<table class="header">
<tr>
    <td>
        &nbsp;{$lang_ipreg}
    </td>
</tr>
</table>
